#include "ldock.H"
#include <cassert>
#include "ligand.H"
#include <iostream>
using namespace std;
#include "roadmapConstruction.H"
#include "analysis.H"

extern float findRMSD(atomData *a1, atomData *a2);
extern nodeData  *allNodes[];
extern atomData* origAtomData;
/* 
   check index field of every node
*/   
void checkIndices(int numNodes)
{
  for (int i = 0; i < numNodes; i++)
    {
      assert(allNodes[i]->index == i);
    }
}

void testLigandDOFs(int argc, char ** argv, ligAtom **myLigand, nodeData ** allNodes)
{

  char tempStr[200];
  
  assert (argc == 2);
  (*myLigand) = new ligAtom;

  strcpy(tempStr, argv[1]);
  strcat(tempStr, ".lig");
  cout << "reading " << tempStr << endl;
  (*myLigand)->readLigFile(tempStr);
  (*myLigand) = (*myLigand)->findGoodRoot(NULL);
  (*myLigand)->fixLigand();
  findNonBondedPairs();

  allNodes[0] = copyConfig(origAtomData);
  allNodes[1] = createNonRandomConfig(allNodes[0]->cog, 10);

  cout << "find rmsd: " << findRMSD(allNodes[1]->myData, allNodes[0]->myData) << endl;
  assert(findRMSD(allNodes[0]->myData, 
		  allNodes[1]->myData) < 10 + 10.0); // why +10 here?
}
