#ifndef IOROUTINES_H
#define IOROUTINES_H

#include "ldock.H"
#include <vector>
#include <cstdio>


void readMyRoadmap    (int * numberOfNodes, const char * filename, 
		       nodeData ** allNodes, //const char * relDir, 
		       vector<int> & potBindingSiteIndices);



void allocateNodes (int numNodes, nodeData ** allNodes, int startIndex);


void writeMyRoadmap    (int numNodes, const char * filename, 
			nodeData** allNodes, 
			int numRandomNodes, 
			int numSampledAround,
			int totalExtraNodes,
			//			char * relDir, 
			const vector<int> & potBindingSiteIndices); 

void printEnergies(nodeData ** allNodes, int numberOfNodes);
void printRMSDs(nodeData ** allNodes, int numberOfNodes,  const vector<int> &potBindingSiteIndices);

void printIndexInfo(int numSampledAround, neighbourType * sampledAroundList,
		    nodeData ** allNodes,  int samplesPerRegion);//,
		    //		    char * relDir);


void readAtomCoordsInfo(nodeData * node,  FILE * fin);


void readRoadmapFileHeaderParameters (int * numberOfNodes, FILE * fin, 
				      vector<int> & potBindingSiteIndices);


void readGivenListOfNodes(const char * filename,
			  nodeData ** allNodes, 
			  const char * indexFilename,
			  vector<int> & indices, 
			  int startNodeIndex);

void printFunnelCenterInfo (const vector<int> & potBindingSiteIndices,
			    nodeData ** allNodes);
//			    char * relDir);

void readGivenNodes(char * funnelCentersFile, nodeData ** allNodes, 
		    int * numNodes, vector<int> & potBindingSiteIndices);

void printCloseNodeIndices(int numPotBindingSites, 
			   neighbourType * nodeEnergyList,
			   int nodeEnergyListCount,
			   float rmsdRadius,
			   int numNodes,
			   nodeData ** allNodes);

void writeCloseAtoms(int index, int N, nodeData ** allNodes, int numNodes);

void readGivenNode(char * funnelCentersFile, nodeData ** allNodes, 
		    int  * numNodes, int funnelCenterIndex);

void writeNodesClose2BindingSites (const vector<int> & potBindingSiteIndices, 
				   nodeData ** allNodes, int numNodes, 
				   float rmsdRadius);

void writeTransitionProbabilities (int numNodes, 
				   nodeData ** allNodes);

void handleInput (int argc, char ** argv, char * complexName,
		  char * roadmapFilename, 
		  char * funnelCentersFile,
		  int  * regionCenterIndex,
		  bool * readFunnelCenters);
void writeRegions (const vector<int> & potBindingSiteIndices, 
		   nodeData ** allNodes, int numNodes, float rmsdRadius);
#endif
