path(path, '/u/apaydin/research/mFiles/ldock');
path(path, '/u/apaydin/research/mFiles/general');

individualDirs     = {'1CJW'};
dirPrefix          = '/u/apaydin/research/ldock/complexes';
numDirs            = length(individualDirs);
outputFileSuffix   = 'escapeTimeResults.txt';
numRoadmaps        = 20;
numPotBindingSites = 5;
roadmapStartIndex  = 0;



for dirIndex = 1:numDirs

  escapeTimesAvg = ones(numPotBindingSites,1);

  oneLessRoadmap = zeros(numPotBindingSites,1);

  mainDirName = [dirPrefix '/' individualDirs{dirIndex} '/oldTrProb_fineSamplingAroundEachPotBindingSite/'];

  for i = roadmapStartIndex:(roadmapStartIndex + numRoadmaps - 1)
    for j = 0:(numPotBindingSites-1)
      dirName = [mainDirName 'data' num2str(i) '_' num2str(j)]
      cd (dirName);
      escapeTimes = [];
      fid = fopen('escapeTimes.txt','r');
      if (fid ~= -1)
	escapeTimes = load('escapeTimes.txt');
	fclose(fid);
      else
      %only redoing the escape time comp. if it has not been done yet.
      %and skipping directories where transition probs is inexistant.
      trfid = fopen('transitionProbs.txt','r');
	if (trfid ~= -1)
	  fclose(trfid);
	  escapeTimes = computeEscapeTimesWrap(1);
	end
      end

	
      if (length(escapeTimes) == 0)
	fprintf(1, 'escape time empty at %s\n',	dirName);
	oneLessRoadmap(j + 1) = oneLessRoadmap(j + 1) + 1;
      else
	escapeTimesAvg(j + 1) = escapeTimesAvg(j + 1) .* escapeTimes;
      end
    end
  end
  fprintf(1, '\n');
  escapeTimesAvg = escapeTimesAvg .^ (1./(numRoadmaps - oneLessRoadmap));

  results = [numRoadmaps - oneLessRoadmap, escapeTimesAvg]';
  fprintf(1, '# roadmaps to obtain this escape time, average escape times:\n');
  fprintf(1, '%d %e\n',results);
  
  outputFileName = [mainDirName outputFileSuffix];
  
  outfid = fopen(outputFileName, 'w');
  fprintf(outfid, ['%' ' # roadmaps averaged escape time results']);
  fprintf(outfid, '%d %e\n', results);
  fclose(outfid);
  fprintf(1, 'check %s\n', outputFileName);
  
end