%reads, and filters out funnel center indices.

%the first filter checks for distance from protein surface
%the second one checks for pairwise distances.

load indices.txt
load pairwiseDistances.txt
surfaceDistances   = textread('surfaceDistances.txt', '%*s %*s %*s %*s %*s %f');
numIndices         = length(surfaceDistances);
indicesToBeRemoved = []; 

maxDistance2ProteinSurface = 4.0;
minPairwiseDistance        = 5.0;

%just keeps track of the relative indices of indices
%i.e. if index # 1 is to be removed (index1 = 4435, say), then we store 1.

indicesToBeRemoved = filterWrtDistance2Protein   (surfaceDistances, ...
						  maxDistance2ProteinSurface);
tmp                = filterWrtPairwiseDistances (pairwiseDistances, ...
						 minPairwiseDistance);
indicesToBeRemoved = [indicesToBeRemoved;  tmp];

keptFunnelCenters  = [];

for i = 1:numIndices
  if (length(find(indicesToBeRemoved == i)) == 0) 
	%couldn't find i 
        %in the list of funnel centers to be removed...
     keptFunnelCenters = [keptFunnelCenters i];
  end
end

indices = indices(keptFunnelCenters);
fprintf(1, 'we have %d funnel centers..\n', length(indices));

fid = fopen ('filteredIndices.txt', 'w');
fprintf     (fid, '%d\n', indices');
fclose      (fid);
