%filter binding sites and write the indices of the remaining ones to a file

clear;
load indices.txt
load pairwiseDistances.txt

distFromProt = textread('surfaceDistances.txt', '%*s %*s %*s %*s %*s  %f');
distFromProt
%pause
%load transitionProbs.txt

% checks for the size of the read matrices..
% distFromProt should have 30 elements, pairwiseDistances should be 30x30.
[m,n] = size(pairwiseDistances);
if ((m ~= n) | (m ~= 30))
  fprintf(1, 'error! m and n have problems..\n');
  keyboard;
end

m = length(distFromProt); n = length(indices);
if ((m ~= 30) | (n ~= 30))
  fprintf(1, 'error! m or n has problem.\n');
  keyboard;
end

%end size checks

%now discarding centers which are close to   previous ones
removedFunnelCenters = []; % list of removed funnel centers.
keptFunnelCenters    = [];

for i = 1:30
  for j = i+1:30
    p = pairwiseDistances(i,j);
    if (p < 5)
      fprintf(1, 'centers %d and %d are close. removing %d\n', i,j,j);
      removedFunnelCenters = [removedFunnelCenters j];
    end
  end
end

%now discarding centers which are far from protein surface
toofarfunnelCenters = find(distFromProt > 4);
fprintf(1, 'discarding the following nodes since they are far from\n');
fprintf(1, 'protein surface...\n');
toofarfunnelCenters

removedFunnelCenters = [removedFunnelCenters toofarfunnelCenters'];

for i = 1:30
  if (length(find(removedFunnelCenters == i)) == 0) 
	%couldn't find i 
        %in the list of funnel centers to be removed...
     keptFunnelCenters = [keptFunnelCenters i];
  end
end

indices = indices(keptFunnelCenters);
fprintf(1, 'we have %d funnel centers..\n', length(indices));
% finished discarding funnel centers close to previous ones or 
% too far from protein surface.

fid = fopen('funnelCenters.txt', 'w');
%	     write the remaining indices here;
for i = 1:length(indices)
   fprintf(fid, '%d\n', indices(i));  
end

fclose(fid);

