path(path, '/home/apaydin/research/mFiles/ldock');

%dirPrefix        = '/home/apaydin/research/ldock/complexes/mutations/';
%individualDirs   = {'1LDM-ASP195-ASN','1LDM-ARG106-ALA','1LDM-GLN101-ARG','1LDM-HIS193-ALA','1LDM-HIS193-ALA-ARG106-ALA','1LDM-THR245-GLY', 'wild_type'};
dirPrefix        = '/antioch/u1/varma/ldock/';
individualDirs   = {'1A05', '1ldm', '1stp', '3TPI', '4ts1', '1AID', '1CJW'};
numDirs          = length(individualDirs);
outputFileSuffix = 'escapeTimeResults.txt';
numRoadmaps      = 20;
numPotBindingSites = 5;

for dirIndex = 1:numDirs

  escapeTimesAvg = ones(numPotBindingSites,1);

  oneLessRoadmap = zeros(numPotBindingSites,1);

  for i = 0:(numRoadmaps - 1)
    for j = 0:numPotBindingSites
      %      dirName = sprintf('%s/%s/data%d', dirPrefix,
      %      individualDirs{dirIndex}, i)
      mainDirName = [dirPrefix '/' individualDirs{dirIndex} '/finerSamplingAroundEachPotBindingSite/'];
      dirName = [mainDirName 'data' num2str(i) '_' num2str(j)]
      cd (dirName);
      escapeTimes = escapeTimeTests(1);

      %escapeTimes = load('escapeTimes.txt');
      if (length(escapeTimes) == 0)
	oneLessRoadmap(j + 1) = oneLessRoadmap(j + 1) + 1;
      else
	escapeTimesAvg(j + 1) = escapeTimesAvg(j + 1) .* escapeTimes;
      end
    end
  end
  
  escapeTimesAvg = escapeTimesAvg .^ (1/(numRoadmaps - oneLessRoadmap));
  fprintf(1, '# roadmaps to obtain this escape time, average escape times:\n');
  fprintf(1, '%d %e\n', numRoadmaps - oneLessRoadmap', escapeTimesAvg');
  
  outputFileName = [mainDirName outputFileSuffix];
  
  fid = fopen(outputFileName, 'w');
  fprintf(fid, ['%' ' # roadmaps averaged escape time results']);
  fprintf(fid, '%d %e\n', numRoadmaps - oneLessRoadmap', escapeTimesAvg');
  fclose(fid);
  fprintf(1, 'check %s\n', outputFileName);
  
end