#ifndef ROADMAP_UTILITY_H
#define ROADMAP_UTILITY_H

#include "ldock.H"
#include <vector>
using std::vector;

void computeTransitionProbabilities(nodeData ** allNodes, int numNodes);
void doConnections4MyRoadmap(const vector<vector< float> > &edgeWeights, 
			     int numNodes, nodeData ** allNodes);
void createNewRoadmapRoutines (char roadmapFilename[],
			       const vector<int> & potBindingSiteIndices,
			       float samplingRadius, int center);
int makeLinkBetweenNodes (int numNodes, const int n1, const int n2, 
			  const float forwardPathWeight, 
			  const float backwardPathWeight) ;
int makeLinkBetweenNodes(int snode, int enode, float forwardlen, 
			 float backwardlen);
nodeData *copyConfig(const atomData *adata);
nodeData* createNonRandomConfig(VEC origCOG, float samplingRadius) ;
void setIndices(int numNodes);
void linkNodes(int startindex);
nodeData* createNonRandomConfig(VEC origCOG, float samplingRadius);
float distanceBetweenNodes(atomData *a1, atomData *a2);
int mycompare(const void *vfirst, const void *vsecond);
void createNodesAroundCenter(int numToCreate, int center, float samplingRadius);
#endif
